Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.input
Class KeyRobotDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.input.RobotDriver
                  |
                  +--org.netbeans.jemmy.drivers.input.KeyRobotDriver

All Implemented Interfaces:
  KeyDriver, LightDriver

public class KeyRobotDriver
extends RobotDriver
implements KeyDriver

KeyDriver using robot operations.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Fields inherited from class org.netbeans.jemmy.drivers.input.RobotDriver
`qtool, robotReference`

Constructor Summary
`KeyRobotDriver(Timeout autoDelay)` Constructs a KeyRobotDriver object.
`KeyRobotDriver(Timeout autoDelay, java.lang.String[] supported)` Constructs a KeyRobotDriver object.

Method Summary
`void` | `pushKey(ComponentOperator oper, int keyCode, int modifiers, Timeout pushTime)` Pushes a key.
`void` | `typeKey(ComponentOperator oper, int keyCode, char keyChar, int modifiers, Timeout pushTime)` Types a symbol.

Methods inherited from class org.netbeans.jemmy.drivers.input.RobotDriver
`makeAnOperation, pressKey, pressModifiers, releaseKey, releaseModifiers, synchronizeRobot`

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.netbeans.jemmy.drivers.KeyDriver
`pressKey, releaseKey`

Constructor Detail

### KeyRobotDriver

    public KeyRobotDriver(Timeout autoDelay)

  Constructs a KeyRobotDriver object.
  Parameters:
    `autoDelay` - Time for `Robot.setAutoDelay(long)` method.

### KeyRobotDriver

    public KeyRobotDriver(Timeout autoDelay,
                          java.lang.String[] supported)

  Constructs a KeyRobotDriver object.
  Parameters:
    `autoDelay` - Time for `Robot.setAutoDelay(long)` method.
    `supported` - an array of supported class names

Method Detail

### pushKey

    public void pushKey(ComponentOperator oper,
                        int keyCode,
                        int modifiers,
                        Timeout pushTime)

  Description copied from interface: `KeyDriver`
  Pushes a key.
  Specified by:
    `pushKey` in interface `KeyDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.KeyDriver`
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `pushTime` - Time between pressing and releasing.

### typeKey

    public void typeKey(ComponentOperator oper,
                        int keyCode,
                        char keyChar,
                        int modifiers,
                        Timeout pushTime)

  Description copied from interface: `KeyDriver`
  Types a symbol.
  Specified by:
    `typeKey` in interface `KeyDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.KeyDriver`
  Parameters:
    `oper` - Component operator.
    `keyCode` - Key code (`KeyEvent.VK_*` value)
    `keyChar` - Symbol to be typed.
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `pushTime` - Time between pressing and releasing.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD